<?php
    $lite = isset($_GET["lite"]);
	$flag = true;
	
    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;

    use documongo\MongoObject\Document;
    use documongo\MongoObject\DocumentType;
    
require_once("lib/fconnect.php");
$db = DBConnect::getInstance();   
require_once("lib/frole.php");
$role = new Role();
$role->isPageEnable($user->uuid);
require_once("lib/fviewtable.php");
$view = new ViewTable();
if(isset($_POST['confirm_all']) && isset($_POST['uuid'])){
	$view->confirmAllPeriods($_POST['uuid']);
}
?>
<!doctype html>

<html lang="ru">
<head>
  <meta charset="utf-8" />
  <title>Просмотр всех данных</title>
  <link rel="stylesheet" href="/css/jquery-ui.css" />

  <script src="/js/jquery-1.9.1.js"></script>
  <script src="/js/jquery-ui.js"></script>
  <script src="/js/jquery.form.js"></script>


  <link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
  <script src="/js/bootstrap.min.js"></script>


  <link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
  <link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
  <link rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />
  <link rel="stylesheet" href="/css/admin.css" />
  <link rel="stylesheet" href="/css/navigation__horizontal.css" />
  <script src="/js/auth.js"></script>

  <style>
	div.dopdf{
	width:80%;
	text-align:center;
	background-color:white;
	padding: 20px 50px;
	margin: 5px 30px;
	border:1px dotted red;
	}
  .main-page__content {
      margin-top: 60px;
      font-size: 2em;
      text-align: center;
  }
  td,th{border:1px solid black;}

  </style>

  <script>
    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";

  </script>
</head>

<body>


<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      Комплексный мониторинг кафедр
    </h1>
    <h2 class="header__headings__subheading">
      Обзор
    </h2>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>

  <div class="header__helper"></div>

</header>

<!-- CURRENT PAGE -->

<div class = "left">
	<?php
echo $role->userMenu($user->uuid);
	?>
</div>
<div class="overview">
<?php
			$this->renderNavigation(); 
			$tableALL = array();
			if(isset($_GET['id'])){
				$j = 1;
				$k = 1;
				$key = 0;
				$cells = '';
				$blankcells = '';
				$doc = $db->colDocs->findOne(array('_id' => new \MongoId($_GET['id'])));
				$fak = $db->colDocs->findOne(array('uuid'=>$doc['parent']));
				
				$headers = '<h1>'.$doc['title_ru'].'</h1>
				<i>Значения показателей за период с 20.05.2014 по '.date("d.m.Y").' года.</i>';
											
				$cols = count($doc['versions']) + 1;
				for($i=1;$i<=$cols;$i++){
					$style[$i-1]='';
					if(!isset($doc['versions'][$i-1]['content']['confirmed'])){
						$doc['versions'][$i-1]['content']['confirmed'] = 0;
					}
					if($i<$cols){
						if($doc['versions'][$i-1]['content']['confirmed'] != 1 ){
							$style[$i-1] = ' style="background-color:red;" title="Данные не подтверждены"';
							$flag = false;
						}
					}else{
						if($doc['confirmed']!=1){
								$style[$cols-1] = ' style="background-color:red;" title="Данные за последний этап не подтверждены"';
								$flag = false;
						}
					}
					$cell = '<td'.$style[$i-1].'>'.$i.'</td>';
					$blankcells .= '<td'.$style[$i-1].'></td>';
					$cells .= $cell;
				}
				$out = '<tr><th>показатели</th><th colspan="'.$cols.'">периоды</th></tr>';
				$out.= '<tr style="background:#cccccc;"><td>НАЗВАНИЕ:</td>'.$cells.'</tr>';		
				$params = $db->colModel->findOne(array('name'=>'chair'));
				foreach($params['items'] as $item){
					$key++; 
					if($key % 2==1){$bg=' style="background:#cccccc;"';}else{$bg='';}
					if(isset($item['accumulative']) && $item['accumulative']){$accum = '<span style="color:red;">накоп</span>';}else{$accum = '';}
					if(isset($item['pdf']) && $item['pdf']){
						if($item['type']=='section'){ 		
							$paramname = 'Раздел '.$j++.': '.$item['label_ru'].'.';			
							if($flag){
								$tableRow['PARAMNAME'] = mb_strtoupper($paramname);
								for($l=1;$l<=$cols;$l++){
									$index = 'P'.$l;
									$tableRow[$index]='';
								}
							} 														//PARAMNAME
							$row = '<tr'.$bg.'><td><b>'.$paramname.'</b></td>'.$blankcells.'</tr>'; //названия разделов
						}elseif($item['type'] == 'subsection'){
							$subtext = $item['label_ru'];
							$row = '';
						}else{
							$cells = '';
							for($i=0;$i<=$cols-2;$i++){
								if($flag){
									$index = 'P'.($i+1);
									$tableRow[$index] = @$doc['versions'][$i]['content'][$item['name']];
								} 					
								$cell = '<td'.$style[$i].'>'.@$doc['versions'][$i]['content'][$item['name']].'</td>';
								$cells .= $cell;
							}
							if($flag){
								$index='P'.($i+1);
								$tableRow[$index] = @$doc[$item['name']];
								$tableRow['PARAMNAME'] = $item['label_ru'];
							} 												
							$cells .= '<td'.$style[$cols-1].'>'.@$doc[$item['name']].'</td>';     
							$row = '<tr'.$bg.'><td>'.$subtext.' '.$item['label_ru'].' '.$accum.' </td>'.$cells.'</tr>';
						}
						if($flag){$tableALL[]=$tableRow;} 
						$out .= $row;
					}
				}
				$filename = md5($doc['uuid']);
				$filename = 'pdf/'.$filename.'.pdf';
				if(file_exists($filename)){$flag=false;}
				echo '
				<div class="dopdf">
				<form action="'.$_SERVER['REQUEST_URI'].'" method="post" id="confirmforma">
				<button name="confirm_all" type="submit">Подтвердить данные за все периоды</button>
				<input name="uuid" type="hidden" value="'.$doc['uuid'].'">
				</form>	
				';
				if($flag){
					$data_for_table = rawurlencode(serialize($tableALL)); 
					echo '	
					<p>Пожалуйста, проверьте введенные данные перед генерацией отчета в PDF!</p>		
					<form method="post" action="/pdf.php" id="forma">
					<input type="hidden" name="chairID" value="'.$doc['uuid'].'">
					<input type="hidden" name="chairName" value="'.$doc['title_ru'].'">
					<input type="hidden" name="fakNAME" value="'.$fak['title_ru'].'">
					<input type="hidden" name="srcAddr" value="'.$_SERVER['REQUEST_URI'].'">
					<input type="hidden" name="tableDATA" value="'.$data_for_table.'">
					<button form="forma" type="submit">Генерировать PDF</button> (может занять несколько минут)
					';
					}else{
					if(file_exists($filename)){
						echo '
						<p>PDF файл доступен для скачивания</p>
						<p><a href="'.$filename.'" target="_blank">открыть файл</a></p>
						<p><a href="'.$filename.'" download>скачать файл</a></p>
						';
						$data_for_table = rawurlencode(serialize($tableALL));
				    echo '<form method="post" action="/pdf.php" id="forma">
					<input type="hidden" name="chairID" value="'.$doc['uuid'].'">
					<input type="hidden" name="chairName" value="'.$doc['title_ru'].'">
					<input type="hidden" name="fakNAME" value="'.$fak['title_ru'].'">
					<input type="hidden" name="srcAddr" value="'.$_SERVER['REQUEST_URI'].'">
					<input type="hidden" name="tableDATA" value="'.$data_for_table.'">
					<p>или<br>
					<button form="forma" type="submit">генерировать PDF файл повторно</button><br>(может занять несколько минут)
					</p>
					</form>
					';
					}else{
						echo '
						<p style="color:red;">ВНИМАНИЕ! Перед генерацией PDF необходимо подтвердить данные за все периоды.</p>
						<p style="color:red;">Для подтверждения данных, отправьте заявку на подтверждение.</p>';
					}
				}
				echo '</div>';
				echo $headers.'				
				<table>'.$out.'</table>
				';
				
				if($flag){
					echo '</form>';
				}	
			}else{
				echo 'Необходимо выбрать кафедру';	
			}

  ?>

</div>

<p>&nbsp;</p>
<p>&nbsp;</p>

</body>
</html>
